---
name: VRML
params:
- vrml
---
Outputs graphs in the <A HREF="http://www.vrml.org/">VRML</A> format.
To get a 3D embedding, nodes must have a <A HREF=attrs.html#d:z>z</A>
attribute. These can either be supplied as part of the input graph, or
be generated by neato provided <A HREF=attrs.html#d:dim>dim</A><code>=3</code>
and at least one node has a <B>z</B> value.
<P>
Line segments are drawn as cylinders.
In general, VRML output relies on having the PNG library to produce images
used to texture-fill the node shapes. However, if
<A HREF=attrs.html#d:shape>shape</A><code>=point</code>,
a node is drawn as a 3D sphere.
